//  IoT電子工作キット sLab-Remo2
//  2-1-2.照度センサ

const byte LIGH_SNR = 36;      // ①照度センサのピン設定（GPI33:A5）

// ②起動時、最初に実行される処理
void setup() {
  Serial.begin(115200);        // ③シリアルモニタ設定（115200bps）
  Serial.println();            // (見やすくするために改行)
  Serial.println("LightStart");// ④シリアルモニタに開始を表示
}

// ⑤setup完了後、電源OFFまで繰り返し処理
void loop() {
  delay(3000);                 // ⑥3秒待つ
  // ⑦温湿度センサーのデータ取得(1〜100で表示)
  unsigned short g_light = analogRead(LIGH_SNR) * 100 / 4095 / 0.8;
  // ⑧シリアルモニターにデータ表示
  Serial.println( String(g_light) );
}
